Public Class FormularzGłówny

    Private Sub btnPlikŹródłowy_Click(sender As Object, e As EventArgs) Handles btnPlikŹródłowy.Click
        dlgOtwórzPlik.Title = "Wybierz plik"
        dlgOtwórzPlik.FileName = ""
        dlgOtwórzPlik.Filter = "Wszystkie pliki (*.*)|*.*"
        dlgOtwórzPlik.FilterIndex = 1
        If dlgOtwórzPlik.ShowDialog() <> DialogResult.Cancel Then
            txtPlikŹródłowy.Text = dlgOtwórzPlik.FileName
        Else
            txtPlikŹródłowy.Text = ""
        End If

    End Sub

    Private Sub btnKopia_Click(sender As Object, e As EventArgs) Handles btnKopia.Click
        Dim strNazwaKopii As String = txtPlikŹródłowy.Text
        If strNazwaKopii.Length = 0 Then
            MessageBox.Show("Wybierz plik.")
            Exit Sub
        End If
        ' Usuń 3-literowe rozszerzenie pliku.
        strNazwaKopii = Microsoft.VisualBasic.Left(strNazwaKopii,
                                                   strNazwaKopii.Length - 3)
        ' Dodaj bak jako nowe rozszerzene pliku.
        strNazwaKopii = strNazwaKopii & "bak"
        ' Utwórz kopię zapasową.
        System.IO.File.Copy(txtPlikŹródłowy.Text, strNazwaKopii)
        MessageBox.Show("Kopia zapasowa została utworzona.")

    End Sub

End Class
